package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.entity.*;

/**
 * <p>
 * 积分消费流水表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITaPointsRecordsService extends IService<TaPointsRecords> {

	void sharePoints(TaShare taShare, Integer orgId);

	void checkinPoints(TaPersonSign taPersonSign, Integer orgId);

	void signUpPoints(TaPerson taPerson, Integer orgId);

	void recommendCustPoints(TaRecommendCustomer taRecommendCustomer, Integer orgId);

	void consumeGoodsPoints(TaGoods taGoods, Integer orgId);

	IPage<TaPointsRecords> getWxRecords(Integer pageNum,Integer pageSize,String personId);

	/**
	 * 分享积分增加  人员不限制
	 * @param recommenderId
	 */
    void sharePosterAll(String recommenderId, Integer orgId);
}
