package com.huiju.estateagents.job;

import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.service.IHelpActivityService;
import com.huiju.estateagents.service.ITaBuildingDynamicService;
import com.huiju.estateagents.service.ITaShareActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author admin
 * @Title: JudglActivityTimeJob
 * @Description: TODO
 * @date 2019/10/21
 */
@Component
@Configuration
@EnableScheduling
public class JudglActivityTimeJob extends BaseController {

    @Autowired
    private ITaBuildingDynamicService iTaBuildingDynamicService;

    @Autowired
    private ITaShareActivityService iTaShareActivityService;

    @Autowired
    private IHelpActivityService iHelpActivityService;

    /**
     * 开启定时任务，每天12：30执行
     */
    @Scheduled(cron = "* 30 12 * * ?")
    private void configureTasks() {
//        iTaBuildingDynamicService.
    }

}